## kconfig 5.116.0+p24.04+vstable+git20251015.0752

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
project(KConfig VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.116.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMPoQmTools)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 5.15.2)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
option(KCONFIG_USE_GUI "Build components using Qt${QT_MAJOR_VERSION}Gui" ON)
if(KCONFIG_USE_GUI)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
endif()

option(KCONFIG_USE_QML "Build components using Qt${QT_MAJOR_VERSION}Qml" ON)

if(KCONFIG_USE_QML)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Qml)
endif()

if (NOT ANDROID)
    set(default_kconfig_use_dbus ON)
    if(WIN32)
        set(default_kconfig_use_dbus OFF)
    endif()
    option(KCONFIG_USE_DBUS "Build components using Qt${QT_MAJOR_VERSION}DBus" ${default_kconfig_use_dbus})
    if(KCONFIG_USE_DBUS)
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    endif()
else()
    set(KCONFIG_USE_DBUS Off)
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KCONFIG
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kconfig_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfigVersion.cmake"
                        SOVERSION 5)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

include (ECMPoQmTools)
ecm_install_po_files_as_qm(poqm)


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Config")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Config_QCH
        FILE KF5ConfigQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ConfigQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


install(EXPORT KF5ConfigTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ConfigTargets.cmake NAMESPACE KF5:: COMPONENT Devel)


install(EXPORT KF5ConfigCompilerTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ConfigCompilerTargets.cmake NAMESPACE KF5:: COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kconfig_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KConfig COMPONENT Devel)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kconfig (5.116.0+p24.04+vstable+git20251015.0752-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:52:33 +0000

kconfig (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:37:20 +1000

kconfig (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:20:48 +0000

kconfig (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:15:06 +0000

kconfig (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:56:37 +0000

kconfig (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:38:09 +0000

kconfig (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 14:32:10 +0000

kconfig (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:19:47 +0000

kconfig (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Sep 2023 17:46:35 +0000

kconfig (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 12:59:31 +0000

kconfig (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:30:48 +0000

## kconfig 5.116.0+p24.04+vstable+git20251019.0207

=== debian/changelog ===
kconfig (5.116.0+p24.04+vstable+git20251019.0207-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:07:47 +0000

## kconfig 5.116.0+p24.04+vstable+git20251206.0155

=== debian/changelog ===
kconfig (5.116.0+p24.04+vstable+git20251206.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 01:55:32 +0000

## kconfig 5.116.0+p24.04+vstable+git20251212.0050

=== debian/changelog ===
kconfig (5.116.0+p24.04+vstable+git20251212.0050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 00:50:28 +0000

=== debian/control ===
Source: kconfig
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev,
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfig
Vcs-Git: https://invent.kde.org/neon/kde/kconfig.git
Vcs-Browser: https://invent.kde.org/neon/kde/kconfig
Maintainer: Neon CI <neon@kde.org>

Package: libkf5config-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains runtime files for KConfig.

Package: libkf5config-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5config-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-bin (= ${binary:Version}),
         libkf5config-dev-bin (= ${binary:Version}),
         libkf5configcore5 (= ${binary:Version}),
         libkf5configgui5 (= ${binary:Version}),
         libkf5configqml5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5completion-dev (<< 5.51),
        libkf5config-bin-dev (<< 5.42),
        libkf5config-doc (<< 5.61.0-1),
        libkf5configwidgets-dev (<< 5.51),
        libkf5notifications-dev (<< 5.51),
        libkf5service-dev (<< 5.51),
        libkf5wallet-dev (<< 5.51),
        libkf5xmlgui-dev (<< 5.51)
Replaces: libkf5config-bin-dev (<< 5.52), libkf5config-doc (<< 5.61.0-1)
Recommends: libkf5config-doc (= ${source:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5config-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Breaks: libkf5config-bin-dev (<< 5.52.0), libkf5config-dev (<< 5.15.0-2~)
Replaces: libkf5config-bin-dev (<< 5.52.0), libkf5config-dev (<< 5.15.0-2~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt -- binary package
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the binary files for the libkf5config-dev package.

Package: libkf5config-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: configuration settings framework for Qt (documentation)
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5configcore5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.51),
        frameworkintegration (<< 5.51),
        kded5 (<< 5.51),
        kdesignerplugin (<< 5.42),
        kgendesignerplugin (<< 5.51),
        kgendesignerplugin-bin (<< 5.51),
        kinit (<< 5.51),
        kio (<< 5.51),
        kpackagelauncherqml (<< 5.42),
        kpackagetool5 (<< 5.28),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5activitiesstats1 (<< 5.51),
        libkf5baloo5 (<< 5.51),
        libkf5bookmarks5 (<< 5.51),
        libkf5completion5 (<< 5.51),
        libkf5config-data (<< 5.82),
        libkf5configwidgets5 (<< 5.51),
        libkf5declarative5 (<< 5.51),
        libkf5emoticons-bin (<< 5.42),
        libkf5emoticons5 (<< 5.51),
        libkf5globalaccel-bin (<< 5.42),
        libkf5globalaccelprivate5 (<< 5.51),
        libkf5iconthemes5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.51),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiocore5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5kiogui5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5newstuffcore5 (<< 5.51),
        libkf5notifications5 (<< 5.51),
        libkf5package5 (<< 5.28),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.51),
        libkf5people5 (<< 5.42),
        libkf5peoplewidgets5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5purpose-bin (<< 5.51),
        libkf5purpose5 (<< 5.51),
        libkf5quickaddons5 (<< 5.51),
        libkf5runner5 (<< 5.51),
        libkf5service-bin (<< 5.42),
        libkf5service5 (<< 5.51),
        libkf5style5 (<< 5.51),
        libkf5su5 (<< 5.51),
        libkf5texteditor5 (<< 5.51),
        libkf5textwidgets5 (<< 5.42),
        libkf5wallet-bin (<< 5.51),
        libkf5wallet5 (<< 5.51),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui-bin (<< 5.51),
        libkf5xmlgui5 (<< 5.51),
        libkf5xmlrpcclient5 (<< 5.42),
        plasma-framework (<< 5.51),
        qml-module-org-kde-activities (<< 5.51),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-kconfig (<< 5.51),
        qml-module-org-kde-kio (<< 5.42),
        qml-module-org-kde-kquickcontrols (<< 5.42),
        qml-module-org-kde-kquickcontrolsaddons (<< 5.51),
        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
        qml-module-org-kde-runnermodel (<< 5.42)
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigCore.

Package: libkf5configgui5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.42),
        kio (<< 5.42),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.42),
        libkf5completion5 (<< 5.51),
        libkf5configwidgets5 (<< 5.51),
        libkf5iconthemes5 (<< 5.42),
        libkf5kcmutils5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.42),
        libkf5quickaddons5 (<< 5.51),
        libkf5style5 (<< 5.42),
        libkf5texteditor5 (<< 5.51),
        libkf5textwidgets5 (<< 5.51),
        libkf5wallet-bin (<< 5.42),
        libkf5webkit5 (<< 5.51),
        libkf5xmlgui5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-kquickcontrols (<< 5.51),
        qml-module-org-kde-qqc2desktopstyle (<< 5.42)
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigGui.

Package: libkf5configqml5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: configuration settings framework for Qt QML
 KConfig provides an advanced configuration system. It is made of three
 parts: KConfigCore and KConfigGui and KConfigQML.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigQml.

Package: libkf5config-bin-dev
Section: oldlibs
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: transitional package

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d\.]*)/kconfig-(.*)\.tar\.xz

## kconfig 5.116.0+p24.04+vunstable+git20251015.0902

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251015.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:02:14 +0000

## kconfig 5.116.0+p24.04+vunstable+git20251020.0123

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251020.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:23:34 +0000

## kconfig 5.116.0+p24.04+vunstable+git20251111.0503

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251111.0503-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 05:03:42 +0000

## kconfig 5.116.0+p24.04+vunstable+git20251204.0114

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251204.0114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:15:00 +0000

## kconfig 5.116.0+p24.04+vunstable+git20251211.0217

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251211.0217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 02:17:40 +0000

## kconfig 5.116.0+p24.04+vunstable+git20251212.0115

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251212.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 01:15:08 +0000
